Subject: Re: [PATCH] s2io: add PCI error recovery support

From: [email-masked] (Linas Vepstas)
Date: Fri, 16 Mar 2007 14:49:41 -0500

On Mon, Mar 05, 2007 at 05:33:39PM -0500, Ramkrishna Vepa wrote:
> Comments on this patch -
> 
> 1. device_close_flag is unused and is not required.

I'll submit a patch to strip this out sometime next week.

> 2. s2io_reset can fail to reset the device. 

I thought I'd seen this occasionally, and its on my to-do list
to look into this further.

> Ideally s2io_reset should
> return a failure in this case (return is void now) 

Would you care to provide a patch that did this? I could 
experiment a bit, and try to do this myself; but I really
don't know this hardware, or this driver, that well.

--linas